API referenceIntegrations
List Providers
Authorization
apiKey AuthorizationBearer <token>
Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.
In: header
Path Parameters
workspaceId*string
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/workspaces/string/integrations/providers"{ "data": [ { "provider": "string", "label": "string", "category": "string", "authKinds": [ "api_key" ], "capabilities": [ "string" ], "installKind": "github_app", "enabled": true, "configured": true, "installFields": [ { "key": "string", "label": "string", "required": true, "placeholder": "string" } ], "docsUrl": "string" } ]}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}